## xaw-wrappers 0.21

=== debian/changelog ===
xaw-wrappers (0.21) frozen unstable; urgency=low

  * In prerm, only turn off wrappers if $! == remove. This fixes errors from
    dpkg itself about overwrite problems, and it fixes the "doubling"
    problems that have puzzeled me for months. Many thinks to Andy Dougherty
    <doughera@lafcol.lafayette.edu> who helped me finally reproduce this
    problem. Thanks also to the literally dozens of you who experienced the
    bug during testing and mailed me info as I requested. This fixes #17831.
  * Fixed "broken pipe" error (cosmetic) in postinst.
  * Fixed preinst to not give an error on clean install.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  6 May 1998 12:56:31 -0700

xaw-wrappers (0.20) unstable; urgency=low

  * Moved /etc/xaw-wrappers.conf to /etc/X11/ for fsstnd complience (#15860).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 28 Apr 1998 15:44:42 -0700

xaw-wrappers (0.19) unstable; urgency=low

  * Fixed package description spelling (#18989).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:53:51 -0800

xaw-wrappers (0.18) unstable; urgency=low

  * Clean up more problems in postinst.
  * update-xaw-wrappers returns 1 on errors now (#18565)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Feb 1998 19:37:55 -0800

xaw-wrappers (0.17) unstable; urgency=low

  * Fixed typo in README #18312.
  * Modified the postinst - case #3 in the sanity check can actually occur,
    and it doesn't imply data loss. Now the message displayed by it is less
    alarming. (#18228)
  * Remove dangling symlinks in case #3. (#18228)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 17 Feb 1998 14:42:03 -0800

xaw-wrappers (0.16) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:01:12 -0800

xaw-wrappers (0.15) unstable; urgency=low

  * Fixed a horrific bug that luckily only affected people whose /usr or
    /usr/X11R6/bin, or some other directory in the path to a bin directory
    under /usr is a symlink.
  * As a side effect of this fix, the following change, made in version 0.6,
    has been removed: "Allow subdirectories that are symlinks to be specified
    in the filename field in config files." This no longer works!
  * Added code to the postinst to detect the problems caused by the above
    bug, and auto-fix them.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 13 Jan 1998 13:07:52 -0500

xaw-wrappers (0.14) unstable; urgency=low

  * I accidentially uploaded 2 version 0.13's, so this is a reupload to
    merge the two.
  * Now if /etc/xaw-wrappers.conf contains a line of the form
    "filename,NONE", any previous lines referencing this file will be
    ignored. (Useful if you install something locally and don't want the
    wrapper to be created, or if you just don't want something wrapped.)

 -- Joey Hess <joeyh@master.debian.org>  Fri,  9 Jan 1998 15:18:23 -0500

xaw-wrappers (0.13) unstable; urgency=low

  * ./wrapper would not work; fixed.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  8 Jan 1998 13:55:47 -0500

xaw-wrappers (0.12) unstable; urgency=low

  * Applied doumentation patch from Adam P. Harris <apharris@onshore.com>.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 15 Dec 1997 19:09:55 -0500

xaw-wrappers (0.11) unstable; urgency=low

  * This is an arch: all package! Fixed control file, rules file.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  2 Dec 1997 14:22:27 -0500

xaw-wrappers (0.10) unstable; urgency=low

  * Fixed problem with libc5 libraries being used with libc6 wrapped
    programs. To do this, I had to make xaw-wrappers "smart" about being 
    able to find out what libc a binary uses, and had to make it know about
    /usr/lib/libc5-compat/ . It's a desperate hack, but it works..
  * However, this means that xaw-wrappers can now only operate on actual
    binaries, not on other wrapper scripts. If it's used on a wrapper
    script, it will assume that the program run by the wrapper script is 
    a libc6 binary.
  * Also, I have done nothing about the corresponding problem of libc6
    libraries being used by libc5 wrapped programs.
  * Fixed similar problem of a.out compatability libraries being used with
    elf wrapped binaries.
  * Remove trailing : from generated LD_LIBRARY_PATH.
  * Use debhelper.
  * Now checks for XAW_WRAPPERS_DEBUG enviroment variable, and prints out
    some debugging info if set.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 25 Nov 1997 13:19:18 -0500

xaw-wrappers (0.9) unstable; urgency=low

  * Cosmetic executable naming fix (#12873).

 -- Joey Hess <joeyh@master.debian.org>  Sun, 14 Sep 1997 19:14:11 -0400

xaw-wrappers (0.8) unstable; urgency=low

  * Don't fail if /etc/xaw-wrappers.conf is not found (#12727).
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 11 Sep 1997 14:17:31 -0400

xaw-wrappers (0.7) unstable; urgency=low

  * Fixed a bug that a filename like "/usr/X11R6/bin//../bin/xcolorsel"
    would not work.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 21 Jul 1997 14:06:01 -0400

xaw-wrappers (0.6) unstable; urgency=low

  * Allow subdirectories that are symlinks to be specified in the filename
    field in config files.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 20 Jul 1997 20:28:16 -0400

xaw-wrappers (0.5) unstable; urgency=low

  * This is the first public release.
  * A fix for the directory that is a symlink problem.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 19 Jul 1997 19:23:00 -0400

xaw-wrappers (0.4) unstable; urgency=low

  * Got rid of the /xaw-wrappers/ directory.
  * Added /etc/xaw-wrappers.conf
  * Got rid of the file owned by nobody hack.
  * Now scans /usr/lib/xaw-wrappers/config/* for info, xaw replacement 
    packages should install files there to tell what programs they don't 
    work with.
  * Removed restrictions on config file names.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 17 Jul 1997 14:33:15 -0400


