=== debian/control ===
Source: xaw-wrappers
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.0

Package: xaw-wrappers
Architecture: all
Depends: perl
Description: allow use of programs with xaw replacements
 Some programs refuse to work with some replacements to the xaw library        
 because of incompatibilities and bugs. This package installs wrappers around
 those programs, which make them use a different xaw library they will work
 better with.
 .
 Installing this package is a must if you want to install any of the xaw
 replacement packages nextaw, xaw3d or xaw95.
