## xaw-wrappers 0.23

=== debian/changelog ===
xaw-wrappers (0.23) unstable; urgency=low

  * Fixed some typos (#26238).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Aug 1998 22:01:23 -0700

xaw-wrappers (0.22) unstable; urgency=low

  * Fixed == bashism.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 20 Aug 1998 00:50:22 -0700
