=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.1.0
+Standards-Version: 2.4.1.3
 
 Package: xaw-wrappers
 Architecture: all
