=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/sbin var/lib/xaw-wrappers etc/X11 \
		usr/lib/xaw-wrappers/conf
	install update-xaw-wrappers.pl debian/tmp/usr/sbin/update-xaw-wrappers
	install wrapper.pl debian/tmp/usr/lib/xaw-wrappers/wrapper
	install -m 0644 XawWrapper.pm debian/tmp/usr/lib/xaw-wrappers/
	install -m 0644 xaw-wrappers.conf debian/tmp/etc/X11
	dh_installdocs debian/README.packagers
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
