## xaw-wrappers 1.09

=== debian/changelog ===
xaw-wrappers (1.09) unstable; urgency=low

  * Build dep.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 17:50:53 -0800

xaw-wrappers (1.08) unstable; urgency=low

  * Applied patch from Tamas TEVESZ <ice@extreme.hu> for the case where
    there is no /usr/lib anymore.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Sep 1999 00:00:57 -0700

xaw-wrappers (1.07) unstable; urgency=medium

  * Applied large changes thanks to Fabien Ninoles <fab@tzone.org>.
    These prevent some very nasty problems from happening, including
    a recursive symlink and a similar infinite recusrion and out of memory
    error. They should also suffice to clean up people's systems who are
    affected by the problem. (Not tested.) Closes: #42294, #43642, #44618
    (several of which are Important and Critical).

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 12:23:56 -0700

xaw-wrappers (1.06) unstable; urgency=low

  * FHS compliance.
  * /usr/lib/xaw-wrappers has moved to /usr/share/xaw-wrappers. For
    backwards compatability, config files in the old directory will still be
    read too.
  * Added code to preinst to allow the wrapper script to be moved w/o
    update-alternatives getting upset.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 17:02:08 -0700

xaw-wrappers (1.05) unstable; urgency=low

  * Now depends on perl5 | perl, I'll kill the | perl bit later on, but it
    seems to make sense for the transition.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Jul 1999 11:01:36 -0700

xaw-wrappers (1.04) unstable; urgency=low

  * Hopefully fixed #38837.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Jun 1999 14:25:02 -0700

xaw-wrappers (1.03) unstable; urgency=low

  * Use s// to kill trailing /'s.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jun 1999 14:43:47 -0700

xaw-wrappers (1.02) unstable; urgency=low

  * Ok, I tested it and it's really fixed this time.

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 1999 15:55:24 -0700

xaw-wrappers (1.01) unstable; urgency=low

  * Fixed syntax error, Closes: #40042.

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 1999 11:40:55 -0700

xaw-wrappers (1.00) unstable; urgency=low

  * Follow symlinks when resolving paths in configuration files as well as
    paths of the actual program you tried to run. This ingenious fix
    suggested by Aaron M. Ucko Closes: #40000 (Woo hoo! I got #40k! :-),
    and also Closes: #39896, #38837, #39896.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jun 1999 20:15:58 -0700

xaw-wrappers (0.94) unstable; urgency=low

  * Added some more debugging messages.

 -- Joey Hess <joeyh@debian.org>  Thu,  3 Jun 1999 13:52:29 -0700

xaw-wrappers (0.93) unstable; urgency=low

  * Typo fixes, thanks Ray.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 May 1999 12:44:31 -0700

xaw-wrappers (0.92) unstable; urgency=medium

  * Fixed a problem that could happen when upgrading a package that didn't
    use the new-style xaw-wrappers before to one that did. Due to the order
    dpkg runs the postinst and then deletes disappeared files (see packaging
    manual 6.3.9), it's possible to get into a situation where it tries make
    an alternitive while the file to be wrapped still exists. To fix, detect
    this case and word around it.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 May 1999 22:14:28 -0700

xaw-wrappers (0.91) unstable; urgency=low

  * Removed some cruft.
  * Documentation updates.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 May 1999 12:58:55 -0700

xaw-wrappers (0.90) unstable; urgency=low

  * Major redesign. No longer uses dpkg-divert at all. See README.packagers
    for details. 
  * Every package that uses xaw-wrappers needs to be changed. Bugs will be
    filed.
  * Moved config files to /usr/lib/xaw-wrappers/config/ to prevent old
    versions of xaw-wrappers from misinterpreting them.
  * Set up preinst to turn off all the old diversions on upgrade.

 -- Joey Hess <joeyh@debian.org>  Sun,  2 May 1999 17:15:24 -0700

xaw-wrappers (0.29) unstable; urgency=low

  * Fixed readdir() mistake (#37033).

 -- Joey Hess <joeyh@debian.org>  Sun,  2 May 1999 13:47:12 -0700

xaw-wrappers (0.28) unstable; urgency=low

  * Documented problem with making suid items wrapped by xaw-wrappers (#35257).

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Apr 1999 16:43:22 -0700

xaw-wrappers (0.27) unstable; urgency=low

  * Fixed a bug introduced 2 versions ago that was making symlink following
    not work at all.

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Jan 1999 20:25:36 -0800

xaw-wrappers (0.26) unstable; urgency=low

  * Work even if the link to xaw-wrappers/wrapper is not an absolute
    symlink. (#32128)

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jan 1999 13:03:58 -0800

xaw-wrappers (0.25) unstable; urgency=low

  * Fixed bug #31908. The problem was that if you had 2 programs registered
    with update-alternatives, one of which needed to be wrapped and one not,
    the wrapping failed. It failed because xaw-wrappers did not follow the
    symlink back to /etc/alternatives, and from there to the actual program,
    so it didn't realize that this program needed to be wrapped. The fix is
    to modify DeSymlinkPath so it also follows symlinks in the actual
    filename at the end of the path, iff it does not point to the wrapper
    script.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jan 1999 15:53:19 -0800

xaw-wrappers (0.24) unstable; urgency=low

  * Minor spelling and grammer fixes to xaw-wrappers.conf.

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Jan 1999 14:06:58 -0800
