=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xaw-wrappers
 Section: admin
 Priority: optional
-Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.1.3
+Build-Depends-Indep: debhelper
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.1.1.1
 
 Package: xaw-wrappers
 Architecture: all
-Depends: perl
+Depends: perl5 | perl
 Description: allow use of programs with xaw replacements
  Some programs refuse to work with some replacements to the xaw library        
  because of incompatibilities and bugs. This package installs wrappers around
