=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,11 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/sbin var/lib/xaw-wrappers etc/X11 \
-		usr/lib/xaw-wrappers/conf
+	dh_installdirs usr/sbin var/lib/xaw-wrappers \
+		usr/share/xaw-wrappers/config
 	install update-xaw-wrappers.pl debian/tmp/usr/sbin/update-xaw-wrappers
-	install wrapper.pl debian/tmp/usr/lib/xaw-wrappers/wrapper
-	install -m 0644 XawWrapper.pm debian/tmp/usr/lib/xaw-wrappers/
-	install -m 0644 xaw-wrappers.conf debian/tmp/etc/X11
+	install wrapper.pl debian/tmp/usr/share/xaw-wrappers/wrapper
+	install -m 0644 XawWrapper.pm debian/tmp/usr/share/xaw-wrappers/
 	dh_installdocs debian/README.packagers
 	dh_installexamples
 	dh_installmenu
@@ -43,8 +42,5 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary
